package main

import (
	"context"
	"fmt"
)

// section: code
func main() {
	// Add the value of "42" with the key of "id"
	ctx := context.WithValue(context.Background(), "id", 42)

	// Retrieve the value back out
	id := ctx.Value("id")

	fmt.Printf("id is %d, %T\n", id, id)
	fmt.Println(id + 10)
}

// section: code

/*
// section: output
./main.go:17:17: invalid operation: id + 10 (mismatched types interface {} and int)
// section: output

*/
